---
lang: en
title: 'API docs: repository.connector'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.connector.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [Connector](./repository.connector.md)

## Connector interface

Common properties/operations for connectors

<b>Signature:</b>

```typescript
export interface Connector 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [configModel](./repository.connector.configmodel.md) | <code>Model</code> |  |
|  [interfaces](./repository.connector.interfaces.md) | <code>string[]</code> |  |
|  [name](./repository.connector.name.md) | <code>string</code> |  |

## Methods

|  Method | Description |
|  --- | --- |
|  [connect()](./repository.connector.connect.md) |  |
|  [disconnect()](./repository.connector.disconnect.md) |  |
|  [execute(command, parameters, options)](./repository.connector.execute.md) |  |
|  [ping()](./repository.connector.ping.md) |  |


